DROP TABLE IF EXISTS phpbb_question;
CREATE TABLE `phpbb_question` (
  `id` int(5) NOT NULL auto_increment,
  `question` text NOT NULL,
  `otvet_1` text NOT NULL,
  `otvet_2` text NOT NULL,
  `otvet_3` text NOT NULL,
  `otvet_4` text NOT NULL,
  `otvet_verno` TINYINT(1) NOT NULL default '0',
  `moder` TINYINT(1) NOT NULL default '1',
  `bonus` TINYINT(1) NOT NULL default '0',
  `author` varchar(32) default 'unknown',
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS phpbb_questions_temp;
CREATE TABLE `phpbb_questions_temp` (
  `id` int(4) NOT NULL auto_increment,
  `question` text NOT NULL,
  `otvet_1` text NOT NULL,
  `otvet_2` text NOT NULL,
  `otvet_3` text NOT NULL,
  `otvet_4` text NOT NULL,
  `otvet_verno` TINYINT(1) NOT NULL,
  `author` int(6) NOT NULL,
  `isto` text NOT NULL default '',
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS phpbb_questions_active;
CREATE TABLE `phpbb_questions_active` (
  `user_id` int(6) NOT NULL,
  `on_off_user` TINYINT(1) NOT NULL default '0',
  `vop_id` int(5) NOT NULL,
  `real_otvet` TINYINT(1) NOT NULL,
  `bonus` TINYINT(1) NOT NULL default '0',
  `progr` INT(3) NOT NULL default '0',
  `start_time` INT(11) NOT NULL default '0',
  `zad_vop` INT(6) NOT NULL default '0',
  `right_otv` INT(6) NOT NULL default '0',
  `pris_vop` INT(6) NOT NULL default '0',
  `prin_vop` INT(6) NOT NULL default '0',
  `u1` INT(5) NOT NULL default '0',
  PRIMARY KEY  (`user_id`)
);

DROP TABLE IF EXISTS phpbb_questions_config;
CREATE TABLE `phpbb_questions_config` (
  `config_name` varchar(32) NOT NULL default '',
  `config_value` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`config_name`)
);
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('on_off', '1');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('cost_right', '1');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('cost_input', '2');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('max_numb_temp', '10');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('min_time', '2');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('otv_time', '20');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('numb2rate', '3');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('adm_bonus', '1');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('adm_bonus_n', '10');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('snd_on', '1');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('popup', '2');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('automoder', '0');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('version', '1.05');
INSERT INTO `phpbb_questions_config` ( `config_name` , `config_value` ) VALUES ('n1', '0');